package io.zipcoder;

public class ParenChecker {

//    () {} [] <> "" ''

    public int doubleQuoteCount = 0;
    public int singleQuoteCount = 0;


    public boolean parensPaired(String input){
        if(parensOpen(input) && parensClosed(input)){
            return true;
        }
        return false;
    }

    public boolean parensOpen(String input){
        for(int i = 0; i < input.length(); i++){
            if(input.charAt(i) == '('){
                return true;
            }
        }
        return false;
    }

    public boolean parensClosed(String input){
        int indexOfOpen = input.indexOf('(');
        for(int i = indexOfOpen; i < input.length(); i++){
            if(input.charAt(i) == ')'){
                return true;
            }
        }
        return false;
    }





    public boolean curlyPaired(String input){
        if(curlyOpen(input) && curlyClosed(input)){
            return true;
        }
        return false;
    }

    public boolean curlyOpen(String input){
        for(int i = 0; i < input.length(); i++){
            if(input.charAt(i) == '{'){
                return true;
            }
        }
        return false;
    }

    public boolean curlyClosed(String input){
        int indexOfOpen = input.indexOf('{');
        for(int i = indexOfOpen; i < input.length(); i++){
            if(input.charAt(i) == '}'){
                return true;
            }
        }
        return false;
    }





    public boolean bracePaired(String input){
        if(braceOpen(input) && braceClosed(input)){
            return true;
        }
        return false;
    }

    public boolean braceOpen(String input){
        for(int i = 0; i < input.length(); i++){
            if(input.charAt(i) == '['){
                return true;
            }
        }
        return false;
    }

    public boolean braceClosed(String input){
        int indexOfOpen = input.indexOf('[');
        for(int i = indexOfOpen; i < input.length(); i++){
            if(input.charAt(i) == ']'){
                return true;
            }
        }
        return false;
    }





    public boolean signsPaired(String input){
        if(signsOpen(input) && signsClosed(input)){
            return true;
        }
        return false;
    }

    public boolean signsOpen(String input){
        for(int i = 0; i < input.length(); i++){
            if(input.charAt(i) == '<'){
                return true;
            }
        }
        return false;
    }

    public boolean signsClosed(String input){
        int indexOfOpen = input.indexOf('<');
        for(int i = indexOfOpen; i < input.length(); i++){
            if(input.charAt(i) == '>'){
                return true;
            }
        }
        return false;
    }





    public boolean doubleQuotePaired(String input) {
        for(int i = 0; i < input.length(); i++){
            if(input.charAt(i) == '\"'){
                doubleQuoteCount++;
            }
        }
        if(doubleQuoteCount % 2 == 0){
            return true;
        }
        return false;
    }





    public boolean singleQuotePaired(String input) {
        for(int i = 0; i < input.length(); i++){
            if(input.charAt(i) == '\''){
                singleQuoteCount++;
            }
        }
        if(singleQuoteCount % 2 == 0){
            return true;
        }
        return false;
    }
}
